Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.ee
Class JDBCManagedConnectionFactory

    java.lang.Object
      |
      +--com.solarmetric.conf.ConfigurationImpl
            |
            +--kodo.conf.JDOConfigurationImpl
                  |
                  +--kodo.jdbc.conf.JDBCConfigurationImpl
                        |
                        +--kodo.jdbc.ee.JDBCManagedConnectionFactory

All Implemented Interfaces:
  BeanInfo, com.solarmetric.util.Closeable, Configuration, Externalizable, JDBCConfiguration, JDOConfiguration, JDOManagedConnectionFactory, ManagedConnectionFactory, Serializable

public class JDBCManagedConnectionFactory
extends JDBCConfigurationImpl
implements JDOManagedConnectionFactory

JCA managed connection factory.

See Also:
  Serialized Form

Fields inherited from class kodo.jdbc.conf.JDBCConfigurationImpl
`autoIncrementConstraints, classIndicator, connectionDecoratorPlugins, connectionDecorators, dataSourceMode, dbdictionary, dbdictionaryPlugin, fetchDirection, foreignKeyConstraints, jdbcListenerPlugins, jdbcListeners, lrsSize, mappingFactory, mappingFactoryPlugin, resultSetType, schemaFactory, schemaFactoryPlugin, schemas, sequenceFactory, sequenceFactoryPlugin, subclassMapping, synchronizeMappings, transactionIsolation, updateManager, updateManagerPlugin, versionIndicator`

Fields inherited from class kodo.conf.JDOConfigurationImpl
`aggregateListenerPlugins, aggregateListeners, classResolver, classResolverPlugin, connection2DriverName, connection2Password, connection2Properties, connection2URL, connection2UserName, connectionDriverName, connectionFactory, connectionFactory2, connectionFactory2Name, connectionFactory2Properties, connectionFactoryName, connectionFactoryProperties, connectionPassword, connectionProperties, connectionRetainMode, connectionURL, connectionUserName, copyObjectIds, dataCacheManager, dataCachePlugins, dataCaches, dataCacheTimeout, eagerFetchMode, fetchBatchSize, fetchGroups, filterListenerPlugins, filterListeners, flushBeforeQueries, ignoreCache, inverseManagerPlugin, license, licenseKey, lockManagerPlugin, lockTimeout, logFactoryPlugin, managedRuntime, managedRuntimePlugin, managementConfig, managementConfigPlugin, mbeanServer, metaRepos, multithreaded, nontransactionalRead, nontransactionalWrite, objectLookupMode, optimistic, orphanedKeyAction, orphanedKeyPlugin, persistentClasses, pmFactoryPlugin, pmPlugin, pmServer, pmServerPlugin, profilingAgent, profilingInterface, proxyManager, proxyManagerPlugin, queryCachePlugin, queryCompilationCache, queryCompilationCachePlugin, queryRepos, readLockLevel, remoteEventManager, remoteJMXAdaptor, remoteProviderPlugin, restoreMutableValues, restoreValues, retainValues, retainValuesInOptimistic, retryClassRegistration, subclassFetchMode, timeWatchManager, transactionMode, writeLockLevel`

Fields inherited from class com.solarmetric.conf.ConfigurationImpl
`logFactory`

Fields inherited from interface kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_REMOTE, LOG_RUNTIME, LOG_TOOL, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_NONTRANS_READ, OPTION_NULL_COLLECTION, OPTION_OPTIMISTIC, OPTION_QUERY_JDOQL, OPTION_QUERY_SQL, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP`

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_CATEGORY, ATTRIBUTE_ORDER, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Fields inherited from interface kodo.jdbc.conf.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Constructor Summary
`JDBCManagedConnectionFactory()`

Method Summary
`Object` | `createConnectionFactory()`
`Object` | `createConnectionFactory(ConnectionManager cxManager)`
`ManagedConnection` | `createManagedConnection(Subject subject, ConnectionRequestInfo cri)`
`PrintWriter` | `getLogWriter()`
`ManagedConnection` | `matchManagedConnections(Set connections, Subject subject, ConnectionRequestInfo cri)`
`void` | `setLogWriter(PrintWriter logWriter)`
`void` | `write(PrintStream out)`

Methods inherited from class kodo.jdbc.conf.JDBCConfigurationImpl
`close, getAutoIncrementConstraints, getClassIndicator, getConnectionDecoratorInstances, getConnectionDecorators, getConnectionFactory, getConnectionFactory2, getDataSource, getDataSource2, getDataSourceMode, getDBDictionary, getDBDictionaryInstance, getFetchDirection, getFetchDirectionConstant, getForeignKeyConstraints, getJDBCListenerInstances, getJDBCListeners, getLicense, getLRSSize, getLRSSizeConstant, getMappingFactory, getMappingFactoryInstance, getMappingRepository, getMetaDataRepository, getResultSetType, getResultSetTypeConstant, getSchemaFactory, getSchemaFactoryInstance, getSchemas, getSchemasList, getSequenceFactory, getSequenceFactoryInstance, getSubclassMapping, getSynchronizeMappings, getTransactionIsolation, getTransactionIsolationConstant, getUpdateManager, getUpdateManagerInstance, getVersionIndicator, isDataSourceModeEnlisted, isInvalidProperty, setAutoIncrementConstraints, setAutoIncrementConstraints, setClassIndicator, setConnectionDecorators, setConnectionDecorators, setConnectionFactory, setConnectionFactory2, setDataSourceMode, setDataSourceModeEnlisted, setDBDictionary, setDBDictionary, setFetchDirection, setFetchDirection, setFirstPersistenceManagerPassword, setFirstPersistenceManagerUserName, setForeignKeyConstraints, setForeignKeyConstraints, setJDBCListeners, setJDBCListeners, setLRSSize, setLRSSize, setMappingFactory, setMappingFactory, setResultSetType, setResultSetType, setSchemaFactory, setSchemaFactory, setSchemas, setSchemas, setSequenceFactory, setSequenceFactory, setSubclassMapping, setSynchronizeMappings, setTransactionIsolation, setTransactionIsolation, setUpdateManager, setUpdateManager, setVersionIndicator`

Methods inherited from class kodo.conf.JDOConfigurationImpl
`getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getConfigurationException, getConfigurationLog, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getEagerFetchMode, getEagerFetchModeConstant, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getInverseManager, getLicenseKey, getLockManager, getLockTimeout, getLog, getLogFactory, getManagedRuntime, getManagedRuntimeInstance, getManagementConfiguration, getMBeanServer, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectLookupMode, getObjectLookupModeConstant, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistenceManagerServer, getPersistenceManagerServerInstance, getPersistentClasses, getPersistentClassesList, getProductName, getProfilingAgentInstance, getProfilingHelperInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getQueryMetaDataRepository, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getRetryClassRegistration, getSubclassFetchMode, getSubclassFetchModeConstant, getTimeWatchManager, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isTransactionModeManaged, newDataCacheInstance, newInverseManagerInstance, newLockManagerInstance, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setInverseManager, setLicenseKey, setLockManager, setLockTimeout, setLockTimeout, setLog, setManagedRuntime, setManagedRuntime, setManagementConfiguration, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setObjectLookupMode, setObjectLookupMode, setOptimistic, setOptimistic, setOrphanedKeyAction, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistenceManagerServer, setPersistenceManagerServer, setPersistentClasses, setPersistentClasses, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setQueryMetaDataRepository, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setRetryClassRegistration, setRetryClassRegistration, setSubclassFetchMode, setSubclassFetchMode, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from class com.solarmetric.conf.ConfigurationImpl
`addBoolean, addDouble, addFile, addInt, addPlugin, addPluginList, addPropertyChangeListener, addString, addStringList, addValue, assertNotFrozen, equals, fromProperties, fromStream, getAdditionalBeanInfo, getBeanDescriptor, getChangeSupport, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getLog, getMethodDescriptors, getPropertyDescriptors, getValue, getValues, hashCode, isCaching, isFrozen, loadDefaults, readExternal, removePropertyChangeListener, setCaching, setChangeSupport, setFrozen, setLogFactory, setProperties, setPropertiesFile, toProperties, toProperties, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.conf.JDOConfiguration
`getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getEagerFetchMode, getEagerFetchModeConstant, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getInverseManager, getLicense, getLicenseKey, getLockManager, getLockTimeout, getLog, getManagedRuntime, getManagedRuntimeInstance, getManagementConfiguration, getMBeanServer, getMetaDataRepository, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectLookupMode, getObjectLookupModeConstant, getOptimistic, getOrphanedKeyAction, getOrphanedKeyActionInstance, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistenceManagerServer, getPersistenceManagerServerInstance, getPersistentClasses, getPersistentClassesList, getProfilingAgentInstance, getProfilingHelperInstance, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getQueryMetaDataRepository, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getRetryClassRegistration, getSubclassFetchMode, getSubclassFetchModeConstant, getTimeWatchManager, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isTransactionModeManaged, newDataCacheInstance, newInverseManagerInstance, newLockManagerInstance, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setInverseManager, setLicenseKey, setLockManager, setLockTimeout, setLockTimeout, setLog, setManagedRuntime, setManagedRuntime, setManagementConfiguration, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setObjectLookupMode, setObjectLookupMode, setOptimistic, setOptimistic, setOrphanedKeyAction, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistenceManagerServer, setPersistenceManagerServer, setPersistentClasses, setPersistentClasses, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setQueryMetaDataRepository, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setRetryClassRegistration, setRetryClassRegistration, setSubclassFetchMode, setSubclassFetchMode, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from interface com.solarmetric.conf.Configuration
`addPropertyChangeListener, close, fromProperties, getConfigurationException, getConfigurationLog, getLog, getLogFactory, getValue, getValues, isCaching, isFrozen, removePropertyChangeListener, setCaching, setFrozen, setLogFactory, toProperties, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from interface javax.resource.spi.ManagedConnectionFactory
`equals, hashCode`

Constructor Detail

### JDBCManagedConnectionFactory

    public JDBCManagedConnectionFactory()

Method Detail

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`

### createConnectionFactory

    public Object createConnectionFactory(ConnectionManager cxManager)
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`

### createManagedConnection

    public ManagedConnection createManagedConnection(Subject subject,
                                                     ConnectionRequestInfo cri)
                                              throws NotSupportedException,
                                                     ResourceException

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`

### matchManagedConnections

    public ManagedConnection matchManagedConnections(Set connections,
                                                     Subject subject,
                                                     ConnectionRequestInfo cri)
                                              throws NotSupportedException,
                                                     ResourceException

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`

### write

    public void write(PrintStream out)

### setLogWriter

    public void setLogWriter(PrintWriter logWriter)

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`

### getLogWriter

    public PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.